Board index FlightGear Development Scenery

Windows 10 osm2city Permissions Problem  Topic is solved

Questions and discussion about enhancing and populating the FlightGear world.

Windows 10 osm2city Permissions Problem

Postby pb321 » Mon Apr 01, 2019 5:30 pm

Running OSM2City on Windows 10 with NO_ELEV=True results in just one error:
Code: Select all
******* Exception in tile 1516001 - to reprocess use boundaries: -87.75_45.5_-87.5_45.625 ******* at 2019-04-01_102533 -  Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\build_tiles.py", line 138, in process_scenery_tile
    lit_areas, osm_buildings = ol.process(the_coords_transform, my_airports)
  File "C:\Users\SH\Documents\OSMDev\osm2city\owbb\landuse.py", line 706, in process
    urban_places, farm_places = m.process_osm_place_refs(transformer)
  File "C:\Users\SH\Documents\OSMDev\osm2city\owbb\models.py", line 1357, in process_osm_place_refs
    my_place.parse_tags_additional(relation.tags)
  File "C:\Users\SH\Documents\OSMDev\osm2city\owbb\models.py", line 117, in parse_tags_additional
    my_population = wio.query_population(my_id)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\wikidata_io.py", line 56, in query_population
    data = json.loads(r.content.decode())
UnboundLocalError: local variable 'r' referenced before assignment


Running with NO_ELEV=False results in many, starting with several of these:

Code: Select all
******* Exception in tile 1499584 - to reprocess use boundaries: -89.0_45.0_-88.75_45.125 ******* at 2019-03-26_184933 -  Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\build_tiles.py", line 138, in process_scenery_tile
    lit_areas, osm_buildings = ol.process(the_coords_transform, my_airports)
  File "C:\Users\SH\Documents\OSMDev\osm2city\owbb\landuse.py", line 704, in process
    aerodrome_zones = m.process_aerodrome_refs(transformer)
  File "C:\Users\SH\Documents\OSMDev\osm2city\owbb\models.py", line 1207, in process_aerodrome_refs
    osm_result = op.fetch_osm_db_data_ways_key_values([op.create_key_value_pair(s.K_AEROWAY, s.V_AERODROME)])
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\osmparser.py", line 487, in fetch_osm_db_data_ways_key_values
    return fetch_osm_db_data_ways(req_key_values, True)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\osmparser.py", line 470, in fetch_osm_db_data_ways
    db_connection = make_db_connection()
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\osmparser.py", line 590, in make_db_connection
    user=parameters.DB_USER, password=parameters.DB_USER_PASSWORD)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\site-packages\psycopg2\__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: could not connect to server: Connection refused (0x0000274D/10061)
   Is the server running on host "localhost" (::1) and accepting
   TCP/IP connections on port 5432?
could not connect to server: Connection refused (0x0000274D/10061)
   Is the server running on host "localhost" (127.0.0.1) and accepting
   TCP/IP connections on port 5432?


***************************
The, later in the exceptions.log:
***************************

Code: Select all
******* Exception in tile 1499600 - to reprocess use boundaries: -89.0_45.25_-88.75_45.375 ******* at 2019-03-26_213749 -  Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\build_tiles.py", line 138, in process_scenery_tile
    lit_areas, osm_buildings = ol.process(the_coords_transform, my_airports)
  File "C:\Users\SH\Documents\OSMDev\osm2city\owbb\landuse.py", line 704, in process
    aerodrome_zones = m.process_aerodrome_refs(transformer)
  File "C:\Users\SH\Documents\OSMDev\osm2city\owbb\models.py", line 1207, in process_aerodrome_refs
    osm_result = op.fetch_osm_db_data_ways_key_values([op.create_key_value_pair(s.K_AEROWAY, s.V_AERODROME)])
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\osmparser.py", line 487, in fetch_osm_db_data_ways_key_values
    return fetch_osm_db_data_ways(req_key_values, True)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\osmparser.py", line 470, in fetch_osm_db_data_ways
    db_connection = make_db_connection()
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\osmparser.py", line 590, in make_db_connection
    user=parameters.DB_USER, password=parameters.DB_USER_PASSWORD)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\site-packages\psycopg2\__init__.py", line 130, in connect
    conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
psycopg2.OperationalError: FATAL:  database "KIMTData" does not exist


KIMTdata is an old database I had used but is not refered to in the params.ini file:
Code: Select all
PREFIX = "KIMT3"

BOUNDARY_WEST = -89.00
BOUNDARY_SOUTH = 45.00
BOUNDARY_EAST = -87.00
BOUNDARY_NORTH = 47.00

PATH_TO_SCENERY = "..\FlightGear\TerraSync"
PATH_TO_OUTPUT = "..\OSMScenery\KIMT3"
PATH_TO_OSM2CITY_DATA = "..\OSMDev\osm2city-data"

NO_ELEV = True
FG_ELEV = ".\bin\fgelev.exe"
PROBE_FOR_WATER = True

DB_HOST = "localhost"
DB_PORT = 5432
DB_NAME = "KIMT3"
DB_USER = "postgres"
DB_USER_PASSWORD = "FG201731"


***************************
Then several instances of this:
***************************
Code: Select all
******* Exception in tile 1499640 - to reprocess use boundaries: -89.0_45.875_-88.75_46.0 ******* at 2019-03-30_180123 -  Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 447, in probe
    elev_is_solid_tuple = self._cache[key]
KeyError: (-88.8214264, 45.9090022)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\build_tiles.py", line 147, in process_scenery_tile
    my_stg_entries, file_lock)
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 1323, in process_roads
    roads.process(the_blocked_areas, lit_areas, stats)  # does the heavy lifting incl. clustering
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 423, in process
    self._check_ways_in_water()
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 459, in _check_ways_in_water
    if self.fg_elev.probe_solid(Vec2d(the_node.lon, the_node.lat), is_global=True):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 387, in probe_solid
    elev_is_solid_tuple = self.probe(position, is_global)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 450, in probe
    elev_is_solid_tuple = really_probe(position)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 396, in really_probe
    self._open_fgelev()
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 368, in _open_fgelev
    bufsize=1, universal_newlines=True)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\subprocess.py", line 729, in __init__
    restore_signals, start_new_session)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\subprocess.py", line 1017, in _execute_child
    startupinfo)
PermissionError: [WinError 5] Access is denied
******* Exception in tile 1499641 - to reprocess use boundaries: -88.75_45.875_-88.5_46.0 ******* at 2019-03-30_180132 -  Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 447, in probe
    elev_is_solid_tuple = self._cache[key]
KeyError: (-88.6481458, 45.9890979)


As a user of OSM2City, not a developer, I don't have a clue as to what the problem is with my install/configuration. Any help will be much appreciated, as the results of running with NO_ELEV=True looks very good, but underground!! (As would be expected)
Last edited by pb321 on Tue Apr 02, 2019 1:43 pm, edited 2 times in total.
pb321
 
Posts: 140
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2019.2.1
OS: Windows 10 Pro

Re: Windows 10 OSM2City NO_ELEV=False Problem

Postby vanosten » Mon Apr 01, 2019 6:33 pm

Hi

First of all: based on the first entry: you are not using the latest code.

Second: NO_ELEV cannot be the root-cause for all the rest.

You are referencing a wrong database and there are permission problems on your workstation, which I cannot solve. Maybe you are not referencing the same params.ini file, so please check the command used.

The very last line of the last error log I have solved previously by removing the ######_elev.pkl file. Maybe that helps. Maybe you should start from scratch in a clean environment.
Maintaining osm2city. Contributing with ground attack stuff to the OPRF FlightGear military-simulation community.
vanosten
 
Posts: 417
Joined: Sat Sep 25, 2010 5:38 pm
Location: Denmark - but I am Swiss
Callsign: HB-VANO
Version: latest
OS: Win 10 and Ubuntu

Re: Windows 10 OSM2City NO_ELEV=False Problem

Postby pb321 » Mon Apr 01, 2019 10:45 pm

Thank you, @vanosten! You pointed me in the right direction. A search for "params.ini" found an old directory which I had created over a year ago when trying osm2city for the first time with PostgreSQL 9.5. I deleted that directory. (I am running with PostgreSQL 9.6). I also found out the uninstall of PostgreSQL 9.5 left a directory behind. I deleted that. I also deleted all the NNNNNNN_elev.pkl files. I also deleted the osm2city and osm2city-data folders and downloaded and installed the latest.
Re-running the build results in all connection errors references to old databases eliminated. All that remains are several instances of the following:
Code: Select all
******* Exception in tile 1499640 - to reprocess use boundaries: -89.0_45.875_-88.75_46.0 ******* at 2019-04-01_170026 -  Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 450, in probe
    elev_is_solid_tuple = self._cache[key]
KeyError: (-88.8214264, 45.9090022)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\build_tiles.py", line 148, in process_scenery_tile
    my_stg_entries, file_lock)
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 1323, in process_roads
    roads.process(the_blocked_areas, lit_areas, stats)  # does the heavy lifting incl. clustering
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 423, in process
    self._check_ways_in_water()
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 459, in _check_ways_in_water
    if self.fg_elev.probe_solid(Vec2d(the_node.lon, the_node.lat), is_global=True):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 390, in probe_solid
    elev_is_solid_tuple = self.probe(position, is_global)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 453, in probe
    elev_is_solid_tuple = really_probe(position)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 399, in really_probe
    self._open_fgelev()
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 368, in _open_fgelev
    bufsize=1, universal_newlines=True)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\subprocess.py", line 729, in __init__
    restore_signals, start_new_session)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\subprocess.py", line 1017, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] The system cannot find the file specified

Do you think these can be eliminated without uninstalling and reinstalling PostGreSQL and PostGis and recreating the database? If so, am I deleting the .pkl files you referenced? If not, is it sufficient to just delete the database and start over or do the uninstall/reinstall of the programs mentioned.
pb321
 
Posts: 140
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2019.2.1
OS: Windows 10 Pro

Re: Windows 10 OSM2City NO_ELEV=False Problem

Postby legoboyvdlp » Mon Apr 01, 2019 11:06 pm

Did you set the path to FGELEV properly in params.ini?
User avatar
legoboyvdlp
 
Posts: 7183
Joined: Sat Jul 26, 2014 1:28 am
Callsign: YV-LEGO
Version: next
OS: Windows 10 HP

Re: Windows 10 OSM2City NO_ELEV=False Problem

Postby pb321 » Tue Apr 02, 2019 3:01 am

@legoboyvdlp, I have been using relative paths (to the fg data directory), as that is what I did over a year ago, when I last tried osm2city. I see the instructions state full paths and indicate a format like this:
'"C:\Users\SH\Documents\OSMDev\osm2city"', with the two sets of quotes.
I have not been able to get this to work. I also tried the same syntax with an 'r' (without single quotes) ahead of the double-quoted path and that didn't work either. How are the Windows paths to be specified properly in the params.ini file?
pb321
 
Posts: 140
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2019.2.1
OS: Windows 10 Pro

Re: Windows 10 OSM2City NO_ELEV=False Problem

Postby legoboyvdlp » Tue Apr 02, 2019 8:35 am

I have:

Code: Select all
FG_ELEV = "C:\\Users\\redpa\\Documents\\Programs\\FlightGear 2018.4.0\\bin\\fgelev.exe"
User avatar
legoboyvdlp
 
Posts: 7183
Joined: Sat Jul 26, 2014 1:28 am
Callsign: YV-LEGO
Version: next
OS: Windows 10 HP

Re: Windows 10 OSM2City NO_ELEV=False Problem

Postby pb321 » Tue Apr 02, 2019 1:31 pm

Thanks, @legoboyvdlp! The double backslashes make a full path work! From what I just read, the double backslashes are a Python requirement, of which I wasn't aware.

Unfortunately, changing all the paths to full paths in params.ini and in the python statement used to start the build results in the following:
Code: Select all
******* Exception in tile 1499640 - to reprocess use boundaries: -89.0_45.875_-88.75_46.0 ******* at 2019-04-02_064139 -  Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 450, in probe
    elev_is_solid_tuple = self._cache[key]
KeyError: (-88.8214264, 45.9090022)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\build_tiles.py", line 148, in process_scenery_tile
    my_stg_entries, file_lock)
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 1323, in process_roads
    roads.process(the_blocked_areas, lit_areas, stats)  # does the heavy lifting incl. clustering
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 423, in process
    self._check_ways_in_water()
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 459, in _check_ways_in_water
    if self.fg_elev.probe_solid(Vec2d(the_node.lon, the_node.lat), is_global=True):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 390, in probe_solid
    elev_is_solid_tuple = self.probe(position, is_global)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 453, in probe
    elev_is_solid_tuple = really_probe(position)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 399, in really_probe
    self._open_fgelev()
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 368, in _open_fgelev
    bufsize=1, universal_newlines=True)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\subprocess.py", line 729, in __init__
    restore_signals, start_new_session)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\subprocess.py", line 1017, in _execute_child
    startupinfo)
PermissionError: [WinError 5] Access is denied

So it points to a Windows permission error, as @vanosten indicated. Looks like I start over again (sometime). I hate to deal with Windows permissions and I don't really know what to look at anyway. I looked at the folders WPy64-3680 and python-3.6.8.amd64 and subprocess.py and they are all the same with Full rights given to System, Admin and User.

....so close but just can't make it over the line...

P.S. Perhaps adding the double backslash requirement to the osm2city read-the-docs would prevent others from having the same problem. Also, is it necessary to use a FULL path statement? It didn't seem to make a difference with the possible exception that the "Win Error 5" statement appears more than once when full paths are used.
pb321
 
Posts: 140
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2019.2.1
OS: Windows 10 Pro

Re: Windows 10 osm2city Permissions Problem

Postby legoboyvdlp » Tue Apr 02, 2019 2:24 pm

KeyError: (-88.8214264, 45.9090022)


That means from what I remember that its not finding FG ELEV. Did you check the path to fgelev.exe to make absolutely sure?
User avatar
legoboyvdlp
 
Posts: 7183
Joined: Sat Jul 26, 2014 1:28 am
Callsign: YV-LEGO
Version: next
OS: Windows 10 HP

Re: Windows 10 osm2city Permissions Problem

Postby pb321 » Tue Apr 02, 2019 3:14 pm

Here's where the various programs and directories reside, the associated params.ini entries, and the python statement to run the scripts:
C:\Users\SH\Documents\FlightGear 2017.3.1\data
C:\Users\SH\Documents\FlightGear 2017.3.1\bin
C:\Users\SH\Documents\FlightGear\TerraSync
C:\Users\SH\Documents\OSMDev\osm2city
C:\Users\SH\Documents\OSMScenery\Input\KIMT\params.ini
C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\python.exe

params.ini:
Code: Select all
PREFIX = "KIMT3"

BOUNDARY_WEST = -89.00
BOUNDARY_SOUTH = 45.00
BOUNDARY_EAST = -87.00
BOUNDARY_NORTH = 47.00

PATH_TO_SCENERY = "C:\\Users\\SH\\Documents\\FlightGear\\TerraSync"
PATH_TO_OUTPUT = "C:\\Users\\SH\\Documents\\OSMScenery\\KIMT3"
PATH_TO_OSM2CITY_DATA = "C:\\Users\\SH\\Documents\\OSMDev\\osm2city-data"

NO_ELEV = False
FG_ELEV = "C:\\Users\\SH\\Documents\\FlightGear 2017.3.1\\bin"


DB_HOST = "localhost"
DB_PORT = 5432
DB_NAME = "KIMT3"
DB_USER = "postgres"
DB_USER_PASSWORD = "FG201731"


Run statement:
Code: Select all
C:\Users\SH\Documents\OSMScenery>python "C:\\Users\\SH\\Documents\\OSMDev\\osm2city\\build_tiles.py" -f "C:\\Users\\SH\\Documents\\OSMScenery\\Input\\KIMT\\params.ini" -b *-89_45_-87_47 -p 4 -l DEBUG
pb321
 
Posts: 140
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2019.2.1
OS: Windows 10 Pro

Re: Windows 10 osm2city Permissions Problem

Postby vanosten » Tue Apr 02, 2019 4:00 pm

the parameter for FG_ELEV must include the actual exe-file. https://osm2city.readthedocs.io/en/late ... parameters
Maintaining osm2city. Contributing with ground attack stuff to the OPRF FlightGear military-simulation community.
vanosten
 
Posts: 417
Joined: Sat Sep 25, 2010 5:38 pm
Location: Denmark - but I am Swiss
Callsign: HB-VANO
Version: latest
OS: Win 10 and Ubuntu

Re: Windows 10 osm2city Permissions Problem

Postby pb321 » Tue Apr 02, 2019 4:55 pm

Uh oh! Must have missed picking up the fgelev.exe when I changed the path to a full path. It was in the original path (above). Thank you for finding that!
So I made the change and now get, instead, several of the following:
Code: Select all
******* Exception in tile 1499640 - to reprocess use boundaries: -89.0_45.875_-88.75_46.0 ******* at 2019-04-02_111753 -  Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 450, in probe
    elev_is_solid_tuple = self._cache[key]
KeyError: (-88.8214264, 45.9090022)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\SH\Documents\OSMDev\osm2city\build_tiles.py", line 148, in process_scenery_tile
    my_stg_entries, file_lock)
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 1323, in process_roads
    roads.process(the_blocked_areas, lit_areas, stats)  # does the heavy lifting incl. clustering
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 423, in process
    self._check_ways_in_water()
  File "C:\Users\SH\Documents\OSMDev\osm2city\roads.py", line 459, in _check_ways_in_water
    if self.fg_elev.probe_solid(Vec2d(the_node.lon, the_node.lat), is_global=True):
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 390, in probe_solid
    elev_is_solid_tuple = self.probe(position, is_global)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 453, in probe
    elev_is_solid_tuple = really_probe(position)
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 399, in really_probe
    self._open_fgelev()
  File "C:\Users\SH\Documents\OSMDev\osm2city\utils\utilities.py", line 368, in _open_fgelev
    bufsize=1, universal_newlines=True)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\subprocess.py", line 729, in __init__
    restore_signals, start_new_session)
  File "C:\Users\SH\Documents\WPy64-3680\python-3.6.8.amd64\lib\subprocess.py", line 1017, in _execute_child
    startupinfo)
FileNotFoundError: [WinError 2] The system cannot find the file specified


So the permission error is gone, but now it can't find files. I checked and the tile terrain files are present. What are "key errors" and what files can't be found?
pb321
 
Posts: 140
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2019.2.1
OS: Windows 10 Pro

Re: Windows 10 osm2city Permissions Problem

Postby legoboyvdlp » Tue Apr 02, 2019 6:25 pm

OSM docs say if you crop osm files with osmosis you need to use completeWays=yes - were you using osmosis?

See: https://osm2city.readthedocs.io/en/late ... ation.html
User avatar
legoboyvdlp
 
Posts: 7183
Joined: Sat Jul 26, 2014 1:28 am
Callsign: YV-LEGO
Version: next
OS: Windows 10 HP

Re: Windows 10 osm2city Permissions Problem

Postby pb321 » Tue Apr 02, 2019 8:25 pm

Yes, I used Osmosis and I kept a copy of all the statements I used and that I indicates I used the proper "ways" statement, but I will re-visit and set up a new database, if necessary. I'll look into a way to check the data. Thank you!
pb321
 
Posts: 140
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2019.2.1
OS: Windows 10 Pro

Re: Windows 10 osm2city Permissions Problem

Postby pb321 » Wed Apr 03, 2019 12:28 pm

So I created a whole new database and have documented how it was created. However, it results in exactly the same Win Error 2 errors.
The log in the command prompt indicates it cannot find or read the stg files in the terrasync directory, yet they are there and it lists the complete path to the file and shows the file name. It also cannot find the _elev.pkl files it needs. Any ideas why? I can post all the commands used to create the database and run the scripts if that would help.
pb321
 
Posts: 140
Joined: Sun Nov 27, 2016 4:08 pm
Version: 2019.2.1
OS: Windows 10 Pro

Re: Windows 10 osm2city Permissions Problem

Postby legoboyvdlp » Wed Apr 03, 2019 1:01 pm

Code: Select all
The log in the command prompt indicates it cannot find or read the stg files in the terrasync directory, yet they are there and it lists the complete path to the file and shows the file name. It also cannot find the _elev.pkl files it needs


Those errors I think you can ignore - the latter just mean it hasn't generated the elevation files yet (ie they have not been cached from a previous run).
User avatar
legoboyvdlp
 
Posts: 7183
Joined: Sat Jul 26, 2014 1:28 am
Callsign: YV-LEGO
Version: next
OS: Windows 10 HP

Next

Return to Scenery

Who is online

Users browsing this forum: No registered users and 2 guests